nvme_get_log_telemetry_host(9)

NAME
nvme_get_log_telemetry_host - Get Telemetry Host-Initiated log page

SYNOPSIS
int nvme_get_log_telemetry_host (int fd , __u64 offset , __u32 len , void *log );

ARGUMENTS

fd  File descriptor of nvme device

offset
    Offset into the telemetry data

len Length of provided user buffer to hold the log data in bytes

log User address for log page data

DESCRIPTION
Retrieves the Telemetry Host-Initiated log page at the requested offset using the previously existing capture.

RETURN
The nvme command status if a response was received (see enum nvme_status_field) or -1 with errno set otherwise.